Build #3 for git-repair-1.20161111

[all reports]

Package git-repair-1.20161111
Install ConfigureFailed
Docs NotTried
Tests NotTried
Time submitted 2016-11-17 05:25:20.434077 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies IfElse-0.85, MissingH-1.4.0.1, QuickCheck-2.9.2, async-2.1.0, base-4.9.0.0, bytestring-0.10.8.1, containers-0.5.7.1, directory-1.2.6.2, exceptions-0.8.3, filepath-1.4.1.0, hslogger-1.2.10, mtl-2.2.1, network-2.6.3.1, network-uri-2.6.1.0, optparse-applicative-0.13.0.0, process-1.4.2.0, text-1.2.2.1, time-1.6.0.1, transformers-0.5.2.0, unix-2.7.2.0, unix-compat-0.4.2.0, utf8-string-1.0.1.1
Flags network-uri

Build log

[view raw]

Resolving dependencies...
Configuring ansi-terminal-0.6.2.3...
Configuring call-stack-0.1.0...
Building ansi-terminal-0.6.2.3...
Building call-stack-0.1.0...
Installed call-stack-0.1.0
Configuring data-default-class-0.1.2.0...
Building data-default-class-0.1.2.0...
Configuring dlist-0.8.0.2...
Installed ansi-terminal-0.6.2.3
Building dlist-0.8.0.2...
Configuring mtl-2.2.1...
Installed data-default-class-0.1.2.0
Building mtl-2.2.1...
Configuring network-2.6.3.1...
Installed dlist-0.8.0.2
Configuring primitive-0.6.1.0...
Installed mtl-2.2.1
Building primitive-0.6.1.0...
Building network-2.6.3.1...
Configuring old-locale-1.0.0.7...
Installed primitive-0.6.1.0
Building old-locale-1.0.0.7...
Configuring random-1.1...
Installed old-locale-1.0.0.7
Building random-1.1...
Configuring stm-2.4.4.1...
Installed network-2.6.3.1
Building stm-2.4.4.1...
Configuring transformers-compat-0.5.1.4...
Installed random-1.1
Building transformers-compat-0.5.1.4...
Configuring text-1.2.2.1...
Installed stm-2.4.4.1
Building text-1.2.2.1...
Configuring unix-compat-0.4.2.0...
Installed transformers-compat-0.5.1.4
Building unix-compat-0.4.2.0...
Configuring utf8-string-1.0.1.1...
Installed unix-compat-0.4.2.0
Building utf8-string-1.0.1.1...
Configuring HUnit-1.5.0.0...
Installed utf8-string-1.0.1.1
Building HUnit-1.5.0.0...
Installed HUnit-1.5.0.0
Configuring ansi-wl-pprint-0.6.7.3...
Building ansi-wl-pprint-0.6.7.3...
Configuring data-default-instances-dlist-0.0.1...
Installed ansi-wl-pprint-0.6.7.3
Building data-default-instances-dlist-0.0.1...
Configuring data-default-instances-containers-0.0.1...
Installed data-default-instances-dlist-0.0.1
Configuring IfElse-0.85...
Installed text-1.2.2.1
Building data-default-instances-containers-0.0.1...
Building IfElse-0.85...
Configuring data-default-instances-old-locale-0.0.1...
Installed data-default-instances-containers-0.0.1
Configuring old-time-1.1.0.3...
Installed IfElse-0.85
Building data-default-instances-old-locale-0.0.1...
Configuring regex-base-0.93.2...
Installed data-default-instances-old-locale-0.0.1
Building old-time-1.1.0.3...
Building regex-base-0.93.2...
Configuring tf-random-0.5...
Installed regex-base-0.93.2
Building tf-random-0.5...
Configuring hslogger-1.2.10...
Installed old-time-1.1.0.3
Building hslogger-1.2.10...
Configuring async-2.1.0...
Installed tf-random-0.5
Building async-2.1.0...
Configuring exceptions-0.8.3...
Installed hslogger-1.2.10
Building exceptions-0.8.3...
Installed async-2.1.0
Configuring optparse-applicative-0.13.0.0...
Building optparse-applicative-0.13.0.0...
Configuring parsec-3.1.11...
Installed exceptions-0.8.3
Building parsec-3.1.11...
Configuring data-default-0.7.1.1...
Installed optparse-applicative-0.13.0.0
Building data-default-0.7.1.1...
Configuring regex-posix-0.95.2...
Installed data-default-0.7.1.1
Building regex-posix-0.95.2...
Configuring QuickCheck-2.9.2...
Installed parsec-3.1.11
Building QuickCheck-2.9.2...
Installed regex-posix-0.95.2
Configuring regex-compat-0.95.1...
Building regex-compat-0.95.1...
Configuring network-uri-2.6.1.0...
Installed regex-compat-0.95.1
Building network-uri-2.6.1.0...
Installed network-uri-2.6.1.0
Configuring MissingH-1.4.0.1...
Building MissingH-1.4.0.1...
Installed QuickCheck-2.9.2
Installed MissingH-1.4.0.1
Configuring git-repair-1.20161111...
Failed to install git-repair-1.20161111
Build log ( /home/builder/.cabal/logs/git-repair-1.20161111.log ):
cabal: Entering directory '/tmp/cabal-tmp-32645/git-repair-1.20161111'
cabal: Leaving directory '/tmp/cabal-tmp-32645/git-repair-1.20161111'
cabal: Error: some packages failed to install:
git-repair-1.20161111 failed during the configure step. The exception was:
user error ('/opt/ghc/8.0.2/bin/ghc' exited with an error:

/tmp/cabal-tmp-32645/git-repair-1.20161111/Common.hs:8:1: error:
Failed to load interface for ‘Control.Monad.State.Strict’
It is a member of the hidden package ‘mtl-2.2.1’.
Perhaps you need to add ‘mtl’ to the build-depends in your .cabal file.
)